package com.org.hktshop.Interface.system;

import com.org.hktshop.entity.Page;
import com.org.hktshop.entity.system.HktNewsCategory;
import com.org.hktshop.utils.Ret;

import java.util.List;

public interface IHktNewsCategoryService {

    void  InitData();

    Page<HktNewsCategory> queryHktNewsCategoryPages(HktNewsCategory hktNewsCategory);

    Ret updateHktNewsCategory(HktNewsCategory hktNewsCategory);

    Ret deleteHktNewsCategory(HktNewsCategory hktNewsCategory);

    List<HktNewsCategory> queryNewsCategoryList(HktNewsCategory hktNewsCategory);

    HktNewsCategory queryCategory(HktNewsCategory category);

}
